$loadingBarColors: #3498db, #c0392b, #f1c40f, #27ae60;
$loadingBarAnimationDelays: 0, 0.09s, 0.18s, 0.27s;

.loading {
	z-index: 1;
    position: absolute;
    left: 50%;
	.loading-bar {
		display: inline-block;
		width: 4px;
		height: 18px;
		border-radius: 4px;
		animation: loading 1s ease-in-out infinite;
	}
	.loading-bar:nth-child(1) {
    	background-color: (nth($loadingBarColors, 1));
    	animation-delay: (nth($loadingBarAnimationDelays, 1));
    }
    .loading-bar:nth-child(2) {
    	background-color: (nth($loadingBarColors, 2));
    	animation-delay: (nth($loadingBarAnimationDelays, 2));
    }
    .loading-bar:nth-child(3) {
    	background-color: (nth($loadingBarColors, 3));
    	animation-delay: (nth($loadingBarAnimationDelays, 3));
    }
    .loading-bar:nth-child(4) {
    	background-color: (nth($loadingBarColors, 4));
    	animation-delay: (nth($loadingBarAnimationDelays, 4));
    }
}

@keyframes loading {
    0% {
        transform: scale(1);
    }
    20% {
        transform: scale(1, 2.2);
    }
    40% {
        transform: scale(1);
    }
}